#!/bin/dash
#
# Script to replace the bottom panel with AWN and Fuduntu default settings
# upon user selection
#
# - Fewt
#

if [ ! "$1" ]; then
  USERSELECT=$(zenity --width=400 --list --title="Choose a bottom panel preference" --column="Choice" --column "Description" "Current" "Keep your current settings" "DOCK" "Configure a bottom dock" "Panel" "Configure a bottom panel")
else
  USERSELECT="$1"
fi

echo "Setting preference to [$USERSELECT]"

if [ "$USERSELECT" = "DOCK" ]; then

echo "Setting default preferences"
gconftool-2 -t float -s /apps/avant-window-navigator/effects/icon_alpha "1"

gconftool-2 --set -t list --list-type=string /apps/avant-window-navigator/panel/applet_list "[/usr/share/avant-window-navigator/applets/taskmanager.desktop::1,/usr/share/avant-window-navigator/applets/separator.desktop::2,/usr/share/avant-window-navigator/applets/file-browser-launcher.desktop::3,/usr/share/avant-window-navigator/applets/garbage.desktop::4]"

gconftool-2 -t bool -s /apps/avant-window-navigator/panel/panel_mode "false"
gconftool-2 -t int -s /apps/avant-window-navigator/panel/autohide "1"
gconftool-2 -t int -s /apps/avant-window-navigator/panel/orient "3"

gconftool-2 --set -t list --list-type=string /apps/instances/avant-window-navigator/panel-1/panel/applet_list "[/usr/share/avant-window-navigator/applets/taskmanager.desktop::1,/usr/share/avant-window-navigator/applets/separator.desktop::2,/usr/share/avant-window-navigator/applets/file-browser-launcher.desktop::3,/usr/share/avant-window-navigator/applets/garbage.desktop::4]"

gconftool-2 -t bool -s /apps/instances/avant-window-navigator/panel-1/panel/panel_mode "false"
gconftool-2 -t int -s /apps/instances/avant-window-navigator/panel-1/panel/autohide "1"
gconftool-2 -t int -s /apps/instances/avant-window-navigator/panel-1/panel/orient "3"

gconftool-2 -t bool -s /apps/awn-applet-garbage/show_count "0"

gconftool-2 -t list --list-type=string -s /apps/awn-applet-taskmanager/launcher_paths "[/usr/share/applications/firefox.desktop,/usr/share/applications/chromium-browser.desktop,/usr/share/applications/gmail.desktop,/usr/share/applications/yahoo.desktop,/usr/share/applications/hotmail.desktop,/usr/share/applications/mozilla-thunderbird.desktop,/usr/share/applications/banshee-1-media-player.desktop,/usr/share/applications/banshee-media-player.desktop,/usr/share/applications/rhythmbox.desktop,/usr/share/applications/vlc.desktop,/usr/share/applications/pidgin.desktop,/usr/share/applications/libreoffice-writer.desktop]"
gconftool-2 -t bool -s /apps/awn-applet-taskmanager/intellihide "true"
gconftool-2 -t int -s /apps/awn-applet-taskmanager/intellihide_mode "1"

gconftool-2 -t list --list-type=string -s /apps/panel/general/toplevel_id_list "[top_panel]"
gconftool-2 -t bool -s /apps/nautilus/desktop/volumes_visible "false"
gconftool-2 -t bool -s /apps/nautilus/desktop/trash_icon_visible "false"

CCHECK=$(ps -fu $USER | grep -v -e grep -e runonce | grep compiz || echo NO)

if [ ! "$CCHECK" = "NO" ]; then
  echo "Applying preferences for composite desktop"
  gconftool-2 -t int -s /apps/avant-window-navigator/panel/style "2"
  gconftool-2 -t int -s /apps/instances/avant-window-navigator/panel-1/panel/style "2"
  gconftool-2 -t int -s /apps/avant-window-navigator/effects/icon_effect "349525"
else
  echo "Applying preferences for non-composite desktop"
  gconftool-2 -t int -s /apps/avant-window-navigator/panel/style "5"
  gconftool-2 -t int -s /apps/instances/avant-window-navigator/panel-1/panel/style "5"
  gconftool-2 -t int -s /apps/avant-window-navigator/effects/icon_effect "0"
fi

killall avant-window-navigator >/dev/null 2>&1 || :

if [ ! -d "/home/$USER/.config/autostart" ]; then
  mkdir -p /home/$USER/.config/autostart 2>/dev/null || :
fi

cat <<EOF >/home/$USER/.config/autostart/awn.desktop 
[Desktop Entry]
Icon=avant-window-navigator
Type=Application
Name=Avant Window Navigator
X-GNOME-Autostart-enabled=true
Exec=/usr/local/bin/awn-startup.sh --startup

EOF

chmod 755 /home/$USER/.config/autostart/awn.desktop
nohup avant-window-navigator >/dev/null 2>&1 &
elif [ "$USERSELECT" = "Panel" ]; then
### Restore bottom panel
killall avant-window-navigator >/dev/null 2>&1 || :
if [ -e "/home/$USER/.config/autostart/awn.desktop" ]; then
  rm -f /home/$USER/.config/autostart/awn.desktop >/dev/null 2>&1
fi

cat >/tmp/panel_preferences.xml <<EOF
<gconfentryfile>
  <entrylist base="/apps/panel/applets/workspace_switcher">
    <entry>
      <key>action_type</key>
      <schema_key>/schemas/apps/panel/objects/action_type</schema_key>
      <value>
        <string>lock</string>
      </value>
    </entry>
    <entry>
      <key>applet_iid</key>
      <value>
        <string>WnckletFactory::WorkspaceSwitcherApplet</string>
      </value>
    </entry>
    <entry>
      <key>attached_toplevel_id</key>
      <schema_key>/schemas/apps/panel/objects/attached_toplevel_id</schema_key>
      <value>
        <string></string>
      </value>
    </entry>
    <entry>
      <key>bonobo_iid</key>
      <schema_key>/schemas/apps/panel/objects/bonobo_iid</schema_key>
      <value>
        <string>OAFIID:GNOME_WorkspaceSwitcherApplet</string>
      </value>
    </entry>
    <entry>
      <key>custom_icon</key>
      <schema_key>/schemas/apps/panel/objects/custom_icon</schema_key>
      <value>
        <string></string>
      </value>
    </entry>
    <entry>
      <key>launcher_location</key>
      <schema_key>/schemas/apps/panel/objects/launcher_location</schema_key>
      <value>
        <string></string>
      </value>
    </entry>
    <entry>
      <key>locked</key>
      <schema_key>/schemas/apps/panel/objects/locked</schema_key>
      <value>
        <bool>true</bool>
      </value>
    </entry>
    <entry>
      <key>menu_path</key>
      <schema_key>/schemas/apps/panel/objects/menu_path</schema_key>
      <value>
        <string>applications:/</string>
      </value>
    </entry>
    <entry>
      <key>object_type</key>
      <schema_key>/schemas/apps/panel/objects/object_type</schema_key>
      <value>
        <string>bonobo-applet</string>
      </value>
    </entry>
    <entry>
      <key>panel_right_stick</key>
      <schema_key>/schemas/apps/panel/objects/panel_right_stick</schema_key>
      <value>
        <bool>true</bool>
      </value>
    </entry>
    <entry>
      <key>position</key>
      <schema_key>/schemas/apps/panel/objects/position</schema_key>
      <value>
        <int>1</int>
      </value>
    </entry>
    <entry>
      <key>tooltip</key>
      <schema_key>/schemas/apps/panel/objects/tooltip</schema_key>
      <value>
        <string></string>
      </value>
    </entry>
    <entry>
      <key>toplevel_id</key>
      <schema_key>/schemas/apps/panel/objects/toplevel_id</schema_key>
      <value>
        <string>bottom_panel</string>
      </value>
    </entry>
    <entry>
      <key>use_custom_icon</key>
      <schema_key>/schemas/apps/panel/objects/use_custom_icon</schema_key>
      <value>
        <bool>false</bool>
      </value>
    </entry>
    <entry>
      <key>use_menu_path</key>
      <schema_key>/schemas/apps/panel/objects/use_menu_path</schema_key>
      <value>
        <bool>false</bool>
      </value>
    </entry>
    <entry>
      <key>prefs/display_all_workspaces</key>
      <schema_key>/schemas/apps/workspace_switcher_applet/prefs/display_all_workspaces</schema_key>
      <value>
        <bool>true</bool>
      </value>
    </entry>
    <entry>
      <key>prefs/display_workspace_names</key>
      <schema_key>/schemas/apps/workspace_switcher_applet/prefs/display_workspace_names</schema_key>
      <value>
        <bool>false</bool>
      </value>
    </entry>
    <entry>
      <key>prefs/num_rows</key>
      <schema_key>/schemas/apps/workspace_switcher_applet/prefs/num_rows</schema_key>
      <value>
        <int>1</int>
      </value>
    </entry>
  </entrylist>
  <entrylist base="/apps/panel/applets/window_list">
    <entry>
      <key>action_type</key>
      <schema_key>/schemas/apps/panel/objects/action_type</schema_key>
      <value>
        <string>lock</string>
      </value>
    </entry>
    <entry>
      <key>applet_iid</key>
      <value>
        <string>WnckletFactory::WindowListApplet</string>
      </value>
    </entry>
    <entry>
      <key>attached_toplevel_id</key>
      <schema_key>/schemas/apps/panel/objects/attached_toplevel_id</schema_key>
      <value>
        <string></string>
      </value>
    </entry>
    <entry>
      <key>bonobo_iid</key>
      <schema_key>/schemas/apps/panel/objects/bonobo_iid</schema_key>
      <value>
        <string>OAFIID:GNOME_WindowListApplet</string>
      </value>
    </entry>
    <entry>
      <key>custom_icon</key>
      <schema_key>/schemas/apps/panel/objects/custom_icon</schema_key>
      <value>
        <string></string>
      </value>
    </entry>
    <entry>
      <key>launcher_location</key>
      <schema_key>/schemas/apps/panel/objects/launcher_location</schema_key>
      <value>
        <string></string>
      </value>
    </entry>
    <entry>
      <key>locked</key>
      <schema_key>/schemas/apps/panel/objects/locked</schema_key>
      <value>
        <bool>true</bool>
      </value>
    </entry>
    <entry>
      <key>menu_path</key>
      <schema_key>/schemas/apps/panel/objects/menu_path</schema_key>
      <value>
        <string>applications:/</string>
      </value>
    </entry>
    <entry>
      <key>object_type</key>
      <schema_key>/schemas/apps/panel/objects/object_type</schema_key>
      <value>
        <string>bonobo-applet</string>
      </value>
    </entry>
    <entry>
      <key>panel_right_stick</key>
      <schema_key>/schemas/apps/panel/objects/panel_right_stick</schema_key>
      <value>
        <bool>false</bool>
      </value>
    </entry>
    <entry>
      <key>position</key>
      <schema_key>/schemas/apps/panel/objects/position</schema_key>
      <value>
        <int>1</int>
      </value>
    </entry>
    <entry>
      <key>tooltip</key>
      <schema_key>/schemas/apps/panel/objects/tooltip</schema_key>
      <value>
        <string></string>
      </value>
    </entry>
    <entry>
      <key>toplevel_id</key>
      <schema_key>/schemas/apps/panel/objects/toplevel_id</schema_key>
      <value>
        <string>bottom_panel</string>
      </value>
    </entry>
    <entry>
      <key>use_custom_icon</key>
      <schema_key>/schemas/apps/panel/objects/use_custom_icon</schema_key>
      <value>
        <bool>false</bool>
      </value>
    </entry>
    <entry>
      <key>use_menu_path</key>
      <schema_key>/schemas/apps/panel/objects/use_menu_path</schema_key>
      <value>
        <bool>false</bool>
      </value>
    </entry>
    <entry>
      <key>prefs/display_all_workspaces</key>
      <schema_key>/schemas/apps/window_list_applet/prefs/display_all_workspaces</schema_key>
      <value>
        <bool>false</bool>
      </value>
    </entry>
    <entry>
      <key>prefs/group_windows</key>
      <schema_key>/schemas/apps/window_list_applet/prefs/group_windows</schema_key>
      <value>
        <string>never</string>
      </value>
    </entry>
    <entry>
      <key>prefs/maximum_size</key>
      <schema_key>/schemas/apps/window_list_applet/prefs/maximum_size</schema_key>
      <value>
        <int>4096</int>
      </value>
    </entry>
    <entry>
      <key>prefs/minimum_size</key>
      <schema_key>/schemas/apps/window_list_applet/prefs/minimum_size</schema_key>
      <value>
        <int>50</int>
      </value>
    </entry>
    <entry>
      <key>prefs/move_unminimized_windows</key>
      <schema_key>/schemas/apps/window_list_applet/prefs/move_unminimized_windows</schema_key>
      <value>
        <bool>true</bool>
      </value>
    </entry>
  </entrylist>
  <entrylist base="/apps/panel/default_setup/toplevels/bottom_panel">
    <entry>
      <key>auto_hide</key>
      <schema_key>/schemas/apps/panel/toplevels/auto_hide</schema_key>
      <value>
        <bool>false</bool>
      </value>
    </entry>
    <entry>
      <key>auto_hide_size</key>
      <schema_key>/schemas/apps/panel/toplevels/auto_hide_size</schema_key>
      <value>
        <int>1</int>
      </value>
    </entry>
    <entry>
      <key>enable_animations</key>
      <schema_key>/schemas/apps/panel/toplevels/enable_animations</schema_key>
      <value>
        <bool>true</bool>
      </value>
    </entry>
    <entry>
      <key>enable_arrows</key>
      <schema_key>/schemas/apps/panel/toplevels/enable_arrows</schema_key>
      <value>
        <bool>true</bool>
      </value>
    </entry>
    <entry>
      <key>enable_buttons</key>
      <schema_key>/schemas/apps/panel/toplevels/enable_buttons</schema_key>
      <value>
        <bool>false</bool>
      </value>
    </entry>
    <entry>
      <key>expand</key>
      <schema_key>/schemas/apps/panel/toplevels/expand</schema_key>
      <value>
        <bool>true</bool>
      </value>
    </entry>
    <entry>
      <key>hide_delay</key>
      <schema_key>/schemas/apps/panel/toplevels/hide_delay</schema_key>
      <value>
        <int>300</int>
      </value>
    </entry>
    <entry>
      <key>monitor</key>
      <schema_key>/schemas/apps/panel/toplevels/monitor</schema_key>
      <value>
        <int>0</int>
      </value>
    </entry>
    <entry>
      <key>name</key>
      <schema_key>/schemas/apps/panel/toplevels/name</schema_key>
      <value>
        <string>Bottom Panel</string>
      </value>
    </entry>
    <entry>
      <key>orientation</key>
      <schema_key>/schemas/apps/panel/toplevels/orientation</schema_key>
      <value>
        <string>bottom</string>
      </value>
    </entry>
    <entry>
      <key>padding</key>
      <schema_key>/schemas/apps/panel/toplevels/padding</schema_key>
      <value>
        <int>8</int>
      </value>
    </entry>
    <entry>
      <key>screen</key>
      <schema_key>/schemas/apps/panel/toplevels/screen</schema_key>
      <value>
        <int>0</int>
      </value>
    </entry>
    <entry>
      <key>size</key>
      <schema_key>/schemas/apps/panel/toplevels/size</schema_key>
      <value>
        <int>24</int>
      </value>
    </entry>
    <entry>
      <key>unhide_delay</key>
      <schema_key>/schemas/apps/panel/toplevels/unhide_delay</schema_key>
      <value>
        <int>100</int>
      </value>
    </entry>
    <entry>
      <key>x</key>
      <schema_key>/schemas/apps/panel/toplevels/x</schema_key>
      <value>
        <int>0</int>
      </value>
    </entry>
    <entry>
      <key>x_centered</key>
      <schema_key>/schemas/apps/panel/toplevels/x_centered</schema_key>
      <value>
        <bool>false</bool>
      </value>
    </entry>
    <entry>
      <key>y</key>
      <schema_key>/schemas/apps/panel/toplevels/y</schema_key>
      <value>
        <int>0</int>
      </value>
    </entry>
    <entry>
      <key>y_centered</key>
      <schema_key>/schemas/apps/panel/toplevels/y_centered</schema_key>
      <value>
        <bool>false</bool>
      </value>
    </entry>
    <entry>
      <key>background/color</key>
      <schema_key>/schemas/apps/panel/toplevels/background/color</schema_key>
      <value>
        <string>#ffffff</string>
      </value>
    </entry>
    <entry>
      <key>background/fit</key>
      <schema_key>/schemas/apps/panel/toplevels/background/fit</schema_key>
      <value>
        <bool>false</bool>
      </value>
    </entry>
    <entry>
      <key>background/image</key>
      <schema_key>/schemas/apps/panel/toplevels/background/image</schema_key>
      <value>
        <string></string>
      </value>
    </entry>
    <entry>
      <key>background/opacity</key>
      <schema_key>/schemas/apps/panel/toplevels/background/opacity</schema_key>
      <value>
        <int>6000</int>
      </value>
    </entry>
    <entry>
      <key>background/rotate</key>
      <schema_key>/schemas/apps/panel/toplevels/background/rotate</schema_key>
      <value>
        <bool>false</bool>
      </value>
    </entry>
    <entry>
      <key>background/stretch</key>
      <schema_key>/schemas/apps/panel/toplevels/background/stretch</schema_key>
      <value>
        <bool>false</bool>
      </value>
    </entry>
    <entry>
      <key>background/type</key>
      <schema_key>/schemas/apps/panel/toplevels/background/type</schema_key>
      <value>
        <string>gtk</string>
      </value>
    </entry>
  </entrylist>
</gconfentryfile>
EOF

gconftool-2 --load /tmp/panel_preferences.xml
rm /tmp/panel_preferences.xml 2>/dev/null

gconftool-2 -t list --list-type=string -s /apps/panel/general/toplevel_id_list "[top_panel,bottom_panel]"
gconftool-2 -t list --list-type=string -s /apps/panel/general/applet_id_list "[systray,clock,window_list,workspace_switcher]"
gconftool-2 -t bool -s /apps/nautilus/desktop/volumes_visible "true"
gconftool-2 -t bool -s /apps/nautilus/desktop/trash_icon_visible "true"
fi
